taccuino.vo

## Class ViaggioRequestDTO

- java.lang.Object
- - taccuino.vo.ViaggioRequestDTO

- Direct Known Subclasses:
    ViaggioResponseDTO

      public class ViaggioRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private LocalDate` | `dataFineViaggio`
    `private LocalDate` | `dataInizioViaggio`
    `private String` | `noteAggiuntive`
    `private String` | `paeseEstero`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViaggioRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalDate` | `getDataFineViaggio()`
    `LocalDate` | `getDataInizioViaggio()`
    `String` | `getNoteAggiuntive()`
    `String` | `getPaeseEstero()`
    `void` | `setDataFineViaggio(LocalDate dataFineViaggio)`
    `void` | `setDataInizioViaggio(LocalDate dataInizioViaggio)`
    `void` | `setNoteAggiuntive(String noteAggiuntive)`
    `void` | `setPaeseEstero(String paeseEstero)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### paeseEstero

          private String paeseEstero

    - #### noteAggiuntive

          private String noteAggiuntive

    - #### dataInizioViaggio

          private LocalDate dataInizioViaggio

    - #### dataFineViaggio

          private LocalDate dataFineViaggio

  - ### Constructor Detail

    - #### ViaggioRequestDTO

          public ViaggioRequestDTO()

  - ### Method Detail

    - #### getPaeseEstero

          public String getPaeseEstero()

    - #### setPaeseEstero

          public void setPaeseEstero(String paeseEstero)

    - #### getNoteAggiuntive

          public String getNoteAggiuntive()

    - #### setNoteAggiuntive

          public void setNoteAggiuntive(String noteAggiuntive)

    - #### getDataInizioViaggio

          public LocalDate getDataInizioViaggio()

    - #### setDataInizioViaggio

          public void setDataInizioViaggio(LocalDate dataInizioViaggio)

    - #### getDataFineViaggio

          public LocalDate getDataFineViaggio()

    - #### setDataFineViaggio

          public void setDataFineViaggio(LocalDate dataFineViaggio)